import 'package:diplomaticquarterapp/config/config.dart';
import 'package:diplomaticquarterapp/config/shared_pref_kay.dart';
import 'package:diplomaticquarterapp/core/service/base_service.dart';
import 'package:diplomaticquarterapp/uitl/app_shared_preferences.dart';
import 'package:diplomaticquarterapp/core/model/pharmacies/Prescriptions.dart';

class PrescriptionService extends BaseService {
  final AppSharedPreferences sharedPref = AppSharedPreferences();
  bool isFinished = true;
  bool hasError = false;
  String errorMsg = '';

  List<Prescriptions> _prescriptionsList = List();
  List<Prescriptions> get prescriptionsList => _prescriptionsList;

  Future getPrescription() async {
    hasError = false;
    Map<String, dynamic> body = Map();
    body['isDentalAllowedBackend'] = false;
    await baseAppClient.post(PRESCRIPTION,
        onSuccess: (dynamic response, int statusCode) {
      _prescriptionsList.clear();
      response['PatientPrescriptionList'].forEach((prescriptions) {
        _prescriptionsList.add(Prescriptions.fromJson(prescriptions));
      });
      print(_prescriptionsList.length);
    }, onFailure: (String error, int statusCode) {
      hasError = true;
      super.error = error;
    }, body: body);
  }
}
